import { IPublicTypeNodeDataType, IPublicTypeProjectSchema } from '@alilc/lowcode-types';
import { IContainerInfo, IParseResult, ISchemaParser, ResourceListType } from '../types';
import type { ProjectRemark } from '../types/intermediate';
export declare class SchemaParser implements ISchemaParser {
    validate(schema: IPublicTypeProjectSchema): boolean;
    parse(schemaSrc: IPublicTypeProjectSchema | string): IParseResult;
    getProjectRemark(containers: IContainerInfo[]): ProjectRemark;
    getComponentNames(children: IPublicTypeNodeDataType): string[];
    decodeSchema(schemaSrc: string | IPublicTypeProjectSchema): IPublicTypeProjectSchema;
    private collectDataSourcesTypes;
}
/**
 * 生成router信息
 * @param originalSchema
 * @param resourceList
 */
export declare function handleRouter(originalSchema: IPublicTypeProjectSchema[], resourceList: ResourceListType[]): "" | ("" | {
    path: string;
    fileName: string;
    componentName: any;
    isFormRouter: boolean;
    firstPage: "true" | "false";
    title: string;
})[];
export default SchemaParser;
